volatile u32 adc_accm_retval;
volatile u16 adc_cnt_retval;
volatile u16 avr_cnt_retval;
volatile u16 adc_ref_retval;
volatile bool adc_ready;

bool get_I(u16 *I)
{
 static bool trg=0;
 
 if(!trg)
 {
  trg = 1;
  adc_ready = 0;
 }
 
 if(adc_ready)
 {
  u32 Vps = ((u32)eep.Vref<<10)/adc_ref_retval;
  u16 adc_cnt_tmp = adc_cnt_retval; 
  u32 Vi = Vps*(adc_accm_retval/adc_cnt_tmp)>>10;
 
  adc_ready=0;
  
  *I = (u16)(Vi*eep.Ktr/eep.Rsh); 
 
  trg=0;
  return 1;
 }
 
 return 0; 
}

