#define NOS 10

#define S9 PD_ODR_ODR7
#define S8 PD_ODR_ODR6
#define S7 PD_ODR_ODR5
#define S6 PD_ODR_ODR4
#define S5 PD_ODR_ODR2
#define S4 PD_ODR_ODR0
#define S3 PC_ODR_ODR7
#define S2 PC_ODR_ODR6
#define S1 PC_ODR_ODR5
#define S0 PC_ODR_ODR4


void display_scale(u16 val)
{
 static u8 i;
 
 i<NOS-1?i++:i=0;
 
 S0=S1=S2=S3=S4=S5=S6=S7=S8=S9=1;

 if(val&(1<<i))  
 switch(i)
 {
  case 0: S0=0;break;
  case 1: S1=0;break;
  case 2: S2=0;break;
  case 3: S3=0;break;  
  case 4: S4=0;break;
  case 5: S5=0;break;
  case 6: S6=0;break;
  case 7: S7=0;break;   
  case 8: S8=0;break;
  case 9: S9=0;break;  
 }
}

u16 data_2_scale(u16 val, u16 max_val=0x3ff)
{
 u16 n=0; 
 
 if(val>max_val)val=max_val;
 
 u8 tmp = (u32)val*NOS/max_val;
 
 if(tmp)
 {
  u8 k=0;
  while(k<tmp)
  {
   k++;
   n<<=1;   
   n|=1;   
  }
 }
 
 return n;
}